List subject line performance (coming soon)
GET
/api/v3/letters/subject-line-performances
const url = 'https://api.tryletterhead.com/api/v3/letters/subject-line-performances?api=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.tryletterhead.com/api/v3/letters/subject-line-performances?api=true' \ --header 'Authorization: Bearer <token>'This endpoint returns the top 5 and bottom 5 performing subject lines for the authenticated company, ranked by open rate. As a v3 endpoint, it requires a company-derived API key.
It returns two arrays — top and bottom — each containing up to 5 items with the subject line text, open rate percentage, send count, and associated newsletters, channels, and organizations.
No analysis is included; this is purely metrics-driven.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” api
required
boolean
When set to true, this endpoint will accept authorization with your API Key.
Responses
Section titled “ Responses ”Subject Line Performances (Coming Soon)
Media type application/json
object
items
object
top
Array<object>
object
subject
string
openRate
integer
sent
integer
letter
string
channel
string
organization
string
bottom
Array<object>
object
subject
string
openRate
integer
sent
integer
letter
string
channel
string
organization
string
message
string
total
integer
Example
{ "items": { "top": [ { "subject": "Draft 720", "openRate": 100, "sent": 1, "letter": "vkky0g63zs", "channel": "black-bitter-iced-tea-times", "organization": "black-bitter-coffee-brand" }, { "subject": "F1 Unlocked Template", "openRate": 100, "sent": 13, "letter": "nrhi21smx3", "channel": "black-bitter-coffee", "organization": "black-bitter-coffee-brand" }, { "subject": "Harsh E2E Test", "openRate": 100, "sent": 1, "letter": "0xlfgg8owg", "channel": "black-bitter-coffee", "organization": "black-bitter-coffee-brand" }, { "subject": "F1 Unlocked Template", "openRate": 92, "sent": 13, "letter": "ndefdg8zl0", "channel": "black-bitter-coffee", "organization": "black-bitter-coffee-brand" }, { "subject": "F1 Unlocked Template", "openRate": 92, "sent": 13, "letter": "2tebekvmiu", "channel": "black-bitter-coffee", "organization": "black-bitter-coffee-brand" } ], "bottom": [ { "subject": "Anna's Cupcake Shop", "openRate": 0, "sent": 0, "letter": "dtqw2gzyqu", "channel": "black-bitter-tea", "organization": "black-bitter-coffee-brand" }, { "subject": "F1 Unlocked Template", "openRate": 0, "sent": 0, "letter": "17nsgad7m9", "channel": "black-bitter-coffee", "organization": "black-bitter-coffee-brand" }, { "subject": "A New Right Quick", "openRate": 0, "sent": 3, "letter": "n3wdcbv4bs", "channel": "black-bitter-coffee", "organization": "black-bitter-coffee-brand" }, { "subject": "Create and Monetize Great Newsletters Easily", "openRate": 0, "sent": 3, "letter": "4f3fsndi0s", "channel": "black-bitter-coffee", "organization": "black-bitter-coffee-brand" }, { "subject": "F1 Unlocked Template", "openRate": 0, "sent": 0, "letter": "5gr5nkngrf", "channel": "black-bitter-coffee", "organization": "black-bitter-coffee-brand" } ] }, "message": "Do something kind today", "total": 10}Still can’t find what you need? Contact support.